%define oname	PageEdit

Name:		pageedit
Version:	1.4.0
Release:	%mkrel 1
Summary:	Simple Single Page XHTML Visual Editor, split from Sigil's BookView
License:	GPLv3
Group:		Office/Utilities
Url:		https://github.com/Sigil-Ebook/PageEdit
Source0:	https://github.com/Sigil-Ebook/PageEdit/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
An ePub visual XHTML editor based on Sigil's Deprecated BookView.
It uses WebEngine instead of WebKit.

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_qt5 \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DINSTALL_BUNDLED_DICTS=OFF
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog.txt README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg


%changelog
* Thu Dec 17 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1659339
- new version: 1.4.0
+ umeabot <umeabot>
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 0.9.5-2.mga8
+ Revision: 1536131
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Oct 14 2019 daviddavid <daviddavid> 0.9.5-1.mga8
+ Revision: 1453275
- initial package pageedit

